import 'package:dio/dio.dart';
import 'package:get/get.dart';

/*
 * 用于 UI Page 对应的Controller 混入，可以在关闭页面的时候自动取消网络请求
 */
mixin DioCancelableMixin on GetxController {
  final CancelToken cancelToken = CancelToken();

  @override
  void onClose() {
    if (!cancelToken.isCancelled) {
      cancelToken.cancel();
    }
    super.onClose();
  }
}
